Bug 137236 - java-1.4.2-ibm should provide an rt.jar symlink to core.jar
java-1.4.2-ibm should provide an rt.jar symlink to core.jar
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: java-1.4.2-ibm (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Fitzsimmons
:
Depends On:
Blocks: 156320 156322
  Show dependency treegraph
 
Reported: 2004-10-26 16:57 EDT by Thomas Fitzsimmons
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2005-302
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 09:45:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Fitzsimmons 2004-10-26 16:57:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20040803

Description of problem:
Some java programs attempt to load rt.jar, Sun's runtime library jar,
directly.  IBM names this file core.jar which causes such programs to
fail.  We should provide a symlink from rt.jar to core.jar.


Version-Release number of selected component (if applicable):
java-1.4.2-ibm-1.4.2.0-1jpp_12rh

How reproducible:
Always

Steps to Reproduce:
1. run a program that loads rt.jar directly, using IBM's JVM

Actual Results:  Program can't find rt.jar.

Expected Results:  Program should find rt.jar.

Additional info:
Comment 1 Thomas Fitzsimmons 2005-03-09 16:03:47 EST
This is fixed in a pending erratum.  Changing status to MODIFIED.
Comment 4 Red Hat Bugzilla 2005-09-28 11:38:06 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-297.html
Comment 5 Red Hat Bugzilla 2005-10-05 09:45:09 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-302.html

Note You need to log in before you can comment on or make changes to this bug.